Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# filefilter.hh File Reference

A GtkFileFilter C++ wrapper interface. More...

`#include <xfc/gtk/object.hh>`
`#include <gtk/gtkfilefilter.h>`
`#include <xfc/gtk/inline/filefilter.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- struct Xfc::Gtk::FileFilterInfo
    A GtkFileFilterInfo C++ wrapper class. More...
- class Xfc::Gtk::FileFilter
    A GtkFileFilter C++ wrapper class. More...

## Typedefs

- typedef unsigned int FileFilterFlagsField
    FileFilterFlagsField holds one or more values from the Gtk::FileFilterFlags enumeration OR'd together.

## Enumerations

- enum FileFilterFlags {
  FILE_FILTER_FILENAME = GTK_FILE_FILTER_FILENAME,
  FILE_FILTER_URI = GTK_FILE_FILTER_URI,
  FILE_FILTER_DISPLAY_NAME = GTK_FILE_FILTER_DISPLAY_NAME,
  FILE_FILTER_MIME_TYPE = GTK_FILE_FILTER_MIME_TYPE
  }
    Used by Gtk::FileFilter::add_custom() to let GTK+ know what file information needs to be retrieved. More...

## Detailed Description

A GtkFileFilter C++ wrapper interface.

Provides FileFilter, a filter for selecting a file subset.

## Enumeration Type Documentation

enum FileFilterFlags

Used by Gtk::FileFilter::add_custom() to let GTK+ know what file information needs to be retrieved.

This avoids retrieving expensive information when it isn't needed by your filter function.

Enumeration values:

  FILE_FILTER_FILENAME | Get filename.
  FILE_FILTER_URI | Get URI.
  FILE_FILTER_DISPLAY_NAME | Get display name.
  FILE_FILTER_MIME_TYPE | Get mime type.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3